Index: npl/system/gmp/gmp.SlackBuild
===================================================================
--- npl/system/gmp/gmp.SlackBuild	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/system/gmp/gmp.SlackBuild	(revision f3ecd0726294c3f1f56fbb0318967631c8c85f0d)
@@ -1,127 +1,13 @@
-#!/bin/sh
+#!/bin/bash
+#
+# Automaticly created by importpackage v1.0
+# Imported from: http://mirrors.slackware.com/slackware/slackware-current/source/l/gmp/
+# Created at Mon Jan 30 23:49:35 CET 2017
 
-# Copyright 2008, 2009, 2010  Patrick J. Volkerding, Sebeka, MN, USA
-# All rights reserved.
-#
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
-#
-# 1. Redistributions of this script must retain the above copyright
-#    notice, this list of conditions and the following disclaimer.
-#
-#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
-#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
-#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-# Modified 2011 by Eric Hameleers <alien at slackware.com> for ARM port.
-
-VERSION=${VERSION:-$(echo gmp-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
-
-# Automatically determine the architecture we're building on:
-MARCH=$( uname -m )
-if [ -z "$ARCH" ]; then
-  case "$MARCH" in
-    i?86)    export ARCH=i486 ;;
-    armv7hl) export ARCH=$MARCH ;;
-    arm*)    export ARCH=arm ;;
-    # Unless $ARCH is already set, use uname -m for all other archs:
-    *)       export ARCH=$MARCH ;;
-  esac
-fi
-
-NUMJOBS=${NUMJOBS:-" -j7 "}
-
-CWD=$(pwd)
-TMP=${TMP:-/tmp}
-PKG=/$TMP/package-gmp
-rm -rf $PKG
-mkdir -p $TMP $PKG/usr
-
-if [ "$ARCH" = "i486" ]; then
-  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
-  LIBDIRSUFFIX=""
-elif [ "$ARCH" = "s390" ]; then
-  SLKCFLAGS="-O2"
-  LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
-  SLKCFLAGS="-O2 -fPIC"
-  LIBDIRSUFFIX="64"
-elif [ "$ARCH" = "armv7hl" ]; then
-  SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
-  LIBDIRSUFFIX=""
-else
-  SLKCFLAGS="-O2"
-  LIBDIRSUFFIX=""
-fi
-
-case "$ARCH" in
-    arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
-    *)    TARGET=$ARCH-slackware-linux ;;
-esac
-
-cd $TMP
-rm -rf gmp-$VERSION
-tar xvf $CWD/gmp-$VERSION.tar.xz || exit 1
-cd gmp-$VERSION
-chown -R root:root .
-find . \
-  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
-  -exec chmod 755 {} \; -o \
-  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-  -exec chmod 644 {} \;
-
-# End of preparations
-if echo "$*" | grep -qw -- --prep ; then
-  exit 0
-fi
-
-CFLAGS="$SLKCFLAGS" \
-./configure \
-  --prefix=/usr \
-  --libdir=/usr/lib${LIBDIRSUFFIX} \
-  --infodir=/usr/info \
-  --with-gnu-ld \
-  --enable-cxx \
-  --build=$TARGET
-
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-rm $PKG/usr/info/dir
-gzip -9 $PKG/usr/info/*
-
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
-  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-mkdir -p $PKG/usr/doc/gmp-$VERSION
-cp -a \
-  AUTHORS COPYING* NEWS README \
-  $PKG/usr/doc/gmp-$VERSION
-
-# If there's a ChangeLog, installing at least part of the recent history
-# is useful, but don't let it get totally out of control:
-if [ -r ChangeLog ]; then
-  DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
-  cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
-  touch -r ChangeLog $DOCSDIR/ChangeLog
-fi
-
-mkdir -p $PKG/install
-cat $CWD/slack-desc > $PKG/install/slack-desc
-
-cd /$TMP/package-gmp
-/sbin/makepkg -l y -c n $TMP/gmp-$VERSION-$ARCH-$BUILD.txz
-
-############ syn3 patches
-
-ln -s libgmp.so.10 /tmp/package-gmp/usr/lib/libgmp.so.3 || exit 1
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./gmp.SlackBuild.orig
 
 
@@ -129,5 +15,5 @@
 cd $CWD
 for PKG in /tmp/package-*; do
-        NAME=`echo $PKG| sed 's/.*-//'`
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
 
         #seperate dev-package
Index: npl/system/gmp/gmp.SlackBuild.orig
===================================================================
--- npl/system/gmp/gmp.SlackBuild.orig	(revision f3ecd0726294c3f1f56fbb0318967631c8c85f0d)
+++ npl/system/gmp/gmp.SlackBuild.orig	(revision f3ecd0726294c3f1f56fbb0318967631c8c85f0d)
@@ -0,0 +1,124 @@
+#!/bin/sh
+
+# Copyright 2008, 2009, 2010, 2015  Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified 2011 by Eric Hameleers <alien at slackware.com> for ARM port.
+
+VERSION=${VERSION:-$(echo gmp-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+  case "$MARCH" in
+    i?86)    export ARCH=i586 ;;
+    armv7hl) export ARCH=$MARCH ;;
+    arm*)    export ARCH=arm ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+    *)       export ARCH=$MARCH ;;
+  esac
+fi
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=/$TMP/package-gmp
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr
+
+if [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+  SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+  LIBDIRSUFFIX=""
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+case "$ARCH" in
+    arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+    *)    TARGET=$ARCH-slackware-linux ;;
+esac
+
+cd $TMP
+rm -rf gmp-$VERSION
+tar xvf $CWD/gmp-$VERSION.tar.xz || exit 1
+cd gmp-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+  -exec chmod 755 {} \; -o \
+  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+  -exec chmod 644 {} \;
+
+# End of preparations
+if echo "$*" | grep -qw -- --prep ; then
+  exit 0
+fi
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --infodir=/usr/info \
+  --with-gnu-ld \
+  --enable-cxx \
+  --disable-static \
+  --build=$TARGET || exit 1
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+rm $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/gmp-$VERSION
+cp -a \
+  AUTHORS COPYING* NEWS README* \
+  $PKG/usr/doc/gmp-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+  DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+  cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+  touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd /$TMP/package-gmp
+/sbin/makepkg -l y -c n $TMP/gmp-$VERSION-$ARCH-$BUILD.txz
+
Index: npl/system/gmp/gmp.arch
===================================================================
--- npl/system/gmp/gmp.arch	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/system/gmp/gmp.arch	(revision f3ecd0726294c3f1f56fbb0318967631c8c85f0d)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/system/gmp/gmp.build
===================================================================
--- npl/system/gmp/gmp.build	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/system/gmp/gmp.build	(revision f3ecd0726294c3f1f56fbb0318967631c8c85f0d)
@@ -1,1 +1,1 @@
-6130
+3
Index: npl/system/gmp/gmp.md5
===================================================================
--- npl/system/gmp/gmp.md5	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/system/gmp/gmp.md5	(revision f3ecd0726294c3f1f56fbb0318967631c8c85f0d)
@@ -1,7 +1,8 @@
-e5fe367801ff067b923d1e6a126448aa  ./gmp-5.1.3.tar.xz
-12ff8573e9796edf018ee736052c2da7  ./gmp-5.1.3.tar.xz.sig
-73588836b821e3ab4509c4994635fc88  ./gmp_dev.pkg
-d3929c9b7130591e0d06a50158f94ff0  ./gmp.pkg
-9306b7337fa580178fbcfb4ca59ed3b1  ./gmp.SlackBuild
-e1e82ae9104750e43949401e8c7cb7ac  ./gmp.SlackBuild.log.gz
+e70e183609244a332d80529e7e155a35  ./gmp-6.1.1.tar.xz
+4eadadd7c87688a9c4c246d69dbf1393  ./gmp-6.1.1.tar.xz.sig
+aa3cb1017fcf259292459c35bdffa027  ./gmp_dev.pkg
+2ad8b70219b57b7bb011deb50c455881  ./gmp.pkg
+edb6e9edc7e216e24292bbe47aaaf822  ./gmp.SlackBuild
+16c1610e0fe90bd6588e831675e6c48a  ./gmp.SlackBuild.log.gz
+9d82cd92a8adbf9837c4b1199be649da  ./gmp.SlackBuild.orig
 53f2b77b2f2632bc8166912ee2891aa9  ./slack-desc
Index: npl/system/gmp/gmp.version
===================================================================
--- npl/system/gmp/gmp.version	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/system/gmp/gmp.version	(revision f3ecd0726294c3f1f56fbb0318967631c8c85f0d)
@@ -1,1 +1,1 @@
-5.1.3
+6.1.1
Index: npl/system/gmp/gmp_dev.arch
===================================================================
--- npl/system/gmp/gmp_dev.arch	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/system/gmp/gmp_dev.arch	(revision f3ecd0726294c3f1f56fbb0318967631c8c85f0d)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/system/gmp/gmp_dev.build
===================================================================
--- npl/system/gmp/gmp_dev.build	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/system/gmp/gmp_dev.build	(revision f3ecd0726294c3f1f56fbb0318967631c8c85f0d)
@@ -1,1 +1,1 @@
-6130
+3
Index: npl/system/gmp/gmp_dev.version
===================================================================
--- npl/system/gmp/gmp_dev.version	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/system/gmp/gmp_dev.version	(revision f3ecd0726294c3f1f56fbb0318967631c8c85f0d)
@@ -1,1 +1,1 @@
-5.1.3
+6.1.1
